..
  autogenerated from source/_templates/autosummary/io_class.rst

{#-
    ################################################################################
    # autosummary template for torchaudio.io module
    # Since StreamReader/StreamWriter have many methods/properties,
    # we want to list them up in the table of contents.
    # The default class template does not do this, so we use custom one here.
    ################################################################################
#}

{{ name | underline }}

.. autoclass:: {{ fullname }}

{%- if name not in ["StreamReader", "StreamWriter"] %}

{%- if attributes %}

Properties
----------

{%- for item in attributes %}
{%- if not item.startswith('_') and item not in inherited_members %}

{{ item | underline("~") }}

.. container:: py attribute

   .. autoproperty:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}
{%- endif %}

{%- if members %}

Methods
-------

{%- for item in members %}
{%- if
   not item.startswith('_')
   and item not in inherited_members
   and item not in attributes
   %}

{{ item | underline("~") }}

.. container:: py attribute

   .. automethod:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}
{%- endif %}

{%- endif %}
